package com.shigongli.config;

import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.NestedConfigurationProperty;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

@Data
@Component
@ConfigurationProperties(prefix = "weixin")
public class WeixinConfig {

    @NestedConfigurationProperty
    private Ma ma;

    @NestedConfigurationProperty
    private Mp mp;

    @Data
    public static class Ma {
        private String appid;
        private String secret;
        private String token;
        private String aesKey;
        private String msgDataFormat;

        @NestedConfigurationProperty
        private List<SubscribeMessage> subscribeMessages;

        @Data
        public static class SubscribeMessage {
            private String type;
            private String code;
        }
    }

    @Data
    public static class Mp {
        private String appid;
        private String secret;
        private String token;
        private String aesKey;
    }
}
