package com.shigongli.task;

import com.shigongli.entity.TaPerson;
import com.shigongli.service.ITaPersonService;
import lombok.extern.slf4j.Slf4j;
import me.chanjar.weixin.common.util.DataUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.List;


/**
 * 发送离店提醒
 */
@Slf4j
@Component
public class SendCheckOutMessage {

    @Autowired
    ITaPersonService iTaPersonService;

    @Scheduled(cron = "0 0 11 * * ?")
    public void run() {
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM-dd");
        String today = LocalDateTime.now().format(formatter);

        List<TaPerson> taPersonList = iTaPersonService.getCheckoutListBy(today);
        if (null == taPersonList) {
            return;
        }

        // 每隔 1s 发送一条离店提醒
        for (TaPerson taPerson : taPersonList) {
            // todo
        }
    }
}
